using ldap_cesi.Services.Interfaces;
using Microsoft.AspNetCore.Mvc;

namespace ldap_cesi.Controllers;
[ApiController]
[Route("api/salarie")]
public class SalarieController : ControllerBase
{
    private ISalarieService _salarieService;

    public SalarieController(ISalarieService salarieService)
    {
        _salarieService = salarieService;
    }
    
    // GET: api/salaries
    /// <summary>
    /// Endpoint qui retournes tous les salaries
    /// </summary>
    /// <returns>List<Salarie></returns>
    [HttpGet]
    public async Task<ActionResult> GetUtilisateurs()
    {
        var result = await _salarieService.GetAll();
        return result.Success ? Ok(result) : BadRequest(result);
    }            
    
    // GET: api/salaries
    /// <summary>
    /// Endpoint retourne le salarie correspondant à l'id en param
    /// </summary>
    /// <returns>Salarie</returns>
    [HttpGet("{id}")]
    public async Task<ActionResult> GetUtilisateurById(int id)
    {
        var result = await _salarieService.GetById(id);
        return result.Success ? Ok(result) : BadRequest(result);
    }    
}